tigase.cluster.api

## Interface SessionManagerClusteredIfc

- All Superinterfaces:
    SessionManagerHandler
  All Known Implementing Classes:
    SessionManagerClustered

      public interface SessionManagerClusteredIfc
      extends SessionManagerHandler

  Author:
    kobit

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `SESSION_FOUND_KEY` Field description

    - ### Fields inherited from interface tigase.server.xmppsession.SessionManagerHandler

      `COMMIT_HANDLER_KEY`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `fastAddOutPacket(Packet packet)` Method description
    `JID` | `getComponentId()`
    `List<JID>` | `getNodesConnected()`
    `XMPPResourceConnection` | `getXMPPResourceConnection(Packet el_packet)` Method description
    `ConcurrentHashMap<JID,XMPPResourceConnection>` | `getXMPPResourceConnections()` Method description
    `ConcurrentHashMap<BareJID,XMPPSession>` | `getXMPPSessions()` Method description
    `boolean` | `hasXMPPResourceConnectionForConnectionJid(JID connJid)` Method to check if there is XMPPResourceConnection instance for connection JID.
    `void` | `processPacket(Packet el_packet, XMPPResourceConnection conn)` Method description
    `void` | `processPresenceUpdate(XMPPSession session, Element element)` Method description

    - ### Methods inherited from interface tigase.server.xmppsession.SessionManagerHandler

      `handleDomainChange, handleLogin, handleLogout, handlePresenceSet, handleResourceBind, isLocalDomain`

- - ### Field Detail

    - #### SESSION_FOUND_KEY

          static final String SESSION_FOUND_KEY

      Field description
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### fastAddOutPacket

          boolean fastAddOutPacket(Packet packet)

      Method description
      Parameters:
        `packet` -
      Returns:
        a value of `boolean`

    - #### processPacket

          void processPacket(Packet el_packet,
                             XMPPResourceConnection conn)

      Method description
      Parameters:
        `el_packet` -
        `conn` -

    - #### processPresenceUpdate

          void processPresenceUpdate(XMPPSession session,
                                     Element element)

      Method description
      Parameters:
        `session` - is a `XMPPSession`
        `element` - is a `Element`

    - #### getXMPPResourceConnection

          XMPPResourceConnection getXMPPResourceConnection(Packet el_packet)

      Method description
      Parameters:
        `el_packet` -
      Returns:
        a value of `XMPPResourceConnection`

    - #### getXMPPResourceConnections

          ConcurrentHashMap<JID,XMPPResourceConnection> getXMPPResourceConnections()

      Method description
      Returns:
        a value of `ConcurrentHashMap<JID,XMPPResourceConnection>`

    - #### getXMPPSessions

          ConcurrentHashMap<BareJID,XMPPSession> getXMPPSessions()

      Method description
      Returns:
        a value of `ConcurrentHashMap<BareJID,XMPPSession>`

    - #### hasXMPPResourceConnectionForConnectionJid

          boolean hasXMPPResourceConnectionForConnectionJid(JID connJid)

      Method to check if there is XMPPResourceConnection instance for connection JID.
      Parameters:
        `connJid` -
      Returns:
        true - if there is XMPPResourceConnection for connection JID

    - #### getComponentId

          JID getComponentId()

      Specified by:
        `getComponentId` in interface `SessionManagerHandler`

    - #### getNodesConnected

          List<JID> getNodesConnected()

Copyright © 2022 "Tigase, Inc.". All rights reserved.